Bug 52984 - rhn_register crashes when proceeding past "name/address/etc" screen
rhn_register crashes when proceeding past "name/address/etc" screen
Product: Red Hat Linux
Classification: Retired
Component: rhn_register (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2001-08-31 19:09 EDT by Shaun T. Erickson
Modified: 2015-01-07 18:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-26 20:15:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Shaun T. Erickson 2001-08-31 19:09:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
When I attempt to proceed past the screen where I enter my name, address, 
and so on, rhn_register dies. I get the following output:

Traceback (innermost last):
  File "/usr/sbin/rhn_register", line 119, in ?
  File "/usr/sbin/rhn_register", line 100, in main
  File "/usr/share/rhn/register/tui.py", line 1033, in main
  File "/usr/share/rhn/register/tui.py", line 982, in run
    win = self.windows[index](self.screen, self)
  File "/usr/share/rhn/register/tui.py", line 590, in __init__
    self.versionLabel2 = snack.Label(rhnreg.getVersion())
  File "/usr/share/rhn/register/rhnreg.py", line 121, in getVersion
    index = db.findbyprovides("redhat-release")[0]
IndexError: list index out of range

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Run rhn_register
2.Fill out the first page of info, proceed to the next page and fill out 
that info
3.Attempt to proceed to the next page ... boom

Actual Results:  The program exits, unhappily. See description above for 
the exact error output.

Expected Results:  I should be able to continue on and complete my 

Additional info:
Comment 1 Jay Turner 2001-09-04 09:27:04 EDT
What does /etc/redhat-release say?  Also, paste your
/etc/sysconfig/rhn/rhn_register config file as well.  This appears to be a
problem that we are seeing when the RHN servers know nothing about the release
being presented.
Comment 2 Shaun T. Erickson 2001-09-04 17:52:35 EDT
Ok, I feel a bit foolish. The next to last line of the error output I get 
should have been a tip off to me - I don't have an /etc/redhat-release file, as 
that rpm isn't installed on my system. My system is intended to be an IP 
masquerading firewall only, so I stripped it down to the minimum number of rpms 
it would let me, while not creating any dependency errors or causing the system 
to run improperly (87, btw). I then decided I wanted to keep this system 
uptodate, so I installed rhn_register and anything it said it had a dependency 
on, which did not include the redhat-release rpm.

Let me add that now, and see what happens ...

It works just fine now. I guess the only bug, if there is one, is that the 
rhn_register package should require that the redhat-release rpm be installed on 
the system.


Note You need to log in before you can comment on or make changes to this bug.